/*
   Suppose we instantiate a 350-by-250 FrameBuffer containing
   a 250-by-150 Viewport with upper left-hand corner at (50,50)
   and then we set the pixel with Viewport coordinates (325, 100).

   (0,0)
     +----------------------------------------+
     | (50,50)                                |
     |    +------------------------------+    |
     |    |                              |    |
     |    |                              |    |
     |    |                              |    |
     |    |                              |    |
     |    |                              |    |
     |    |                              |    |
     |    |                              |    |
     |    |                              |    |
     |    |                              |    |
     |    +------------------------------+    |
     |                               (299,199)|
     +----------------------------------------+
                                          (349,249)


      FrameBuffer fb = new FrameBuffer(350, 250);
      FrameBuffer.Viewport vp = fb.new Viewport(50, 50, 250, 150);
      vp.setPixelVP(325, 100, Color.white);

   Where is this pixel in the FrameBuffer?
   Where is this pixel in the FrameBuffer's 1-dimensional pixel array?
*/

import framebuffer.FrameBuffer;

import java.awt.Color;

public class Questions
{
   public static void main(String[] args)
   {
      FrameBuffer fb = new FrameBuffer(350, 250);
      FrameBuffer.Viewport vp = fb.new Viewport(50, 50, 250, 150);
      vp.clearVP(Color.gray);  // Make the viewport visible.
      vp.setPixelVP(325, 100, Color.white);

      fb.dumpFB2File("Questions.ppm");
      System.err.println("Saved " + "Questions.ppm");
   }
}
